## org.hibernate.service.spi
Interface Manageable

All Known Subinterfaces:
  BatchBuilder

All Known Implementing Classes:
  BatchBuilderImpl

    public interface Manageable

Optional `Service` contract for services which can be managed in JMX

Method Summary
`Object` `getManagementBean()` The the management bean (MBean) for this service.
`String` `getManagementDomain()` Get the domain name to be used in registering the management bean.
`String` `getManagementServiceType()` Allows the service to specify a special 'serviceType' portion of the object name.

Method Detail

### getManagementDomain

    String getManagementDomain()

  Get the domain name to be used in registering the management bean. May be `null` to indicate Hibernate's default domain (`org.hibernate.core`) should be used.

  Returns:
    The management domain.

### getManagementServiceType

    String getManagementServiceType()

  Allows the service to specify a special 'serviceType' portion of the object name. `null` indicates we should use the default scheme, which is to use the name of the service impl class for this purpose.

  Returns:
    The custom 'serviceType' name.

### getManagementBean

    Object getManagementBean()

  The the management bean (MBean) for this service.

  Returns:
    The management bean.

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.